# Class TableFeatureSettings

Implementation of feature settings that is read-only for geometry related settings.

#### Hierarchy (view full)

- FeatureSettings
  - TableFeatureSettings

#####
Index

### Constructors

constructor

### Properties

_handles
@eventTypes
popupContentExtensions

### Accessors

_defaultOutFields
feature
featureSource
formatSettings
hyperlinkTemplates
maxAllowableOffset
outFields
outSpatialReference
parent
popupTemplate
returnGeometry
showRelatedRecordsWhenUnconfigured
zoomFactor
zoomScale

### Methods

_createPopupContentCollection
_getCollectionSetting
_getNestedSettings
_getSerializableProperties
_getSetting
_hasSettingIncludingAncestor
_setParent
_setSetting
_toPropertyDef
assignProperties
assignPropertiesAsync
destroy
finishAssignProperties
getDefault
getDefaults
getSerializableProperties
isModified
reset
toJSON

##
Constructors

### constructor

- new TableFeatureSettings(properties?): TableFeatureSettings

- #### Parameters

  - `Optional` properties: FeatureSettingsProperties

  #### Returns TableFeatureSettings

  Inherited from FeatureSettings.constructor

##
Properties

### `Protected` `Readonly`_handles

_handles: Handles<unknown, ResourceHandle>

Inherited from FeatureSettings._handles

### @eventTypes

@eventTypes: SettingsEvents<FeatureSettings>

#### Deprecated

Do not directly reference this property. Use EventNames and EventTypes helpers from @arcgis/core/Evented.

Inherited from FeatureSettings.@eventTypes

### `Readonly` popupContentExtensions

popupContentExtensions: PopupContentExtensionCollection

The PopupContentExtensions associated with each popupContent of the schema.

Inherited from FeatureSettings.popupContentExtensions

##
Accessors

### `Protected`_defaultOutFields

- get _defaultOutFields(): string[]

- Returns the default outFields for the corresponding FeatureSource.

  #### Returns string[]

  Inherited from FeatureSettings._defaultOutFields

### feature

- get feature(): Feature

- The data/Feature!Feature that this schema belongs to.

  #### Returns Feature

  Inherited from FeatureSettings.feature

### featureSource

- get featureSource(): FeatureSource

- The data/FeatureSource!FeatureSource that this schema belongs to.

  #### Returns FeatureSource

  Inherited from FeatureSettings.featureSource

### formatSettings

- get formatSettings(): FormatSettings

- Settings affecting how feature attributes are formatted.

  #### Returns FormatSettings

  Inherited from FeatureSettings.formatSettings

### hyperlinkTemplates

- get hyperlinkTemplates(): Collection<Hyperlink>

- Templates that define hyperlinks associated with the feature. Each template's properties can contain field tokens enclosed in `{}`, which will be replaced by actual field values.

  #### Returns Collection<Hyperlink>

  Inherited from FeatureSettings.hyperlinkTemplates

### maxAllowableOffset

- get maxAllowableOffset(): number

- The default maximum allowable offset used for generalizing geometries returned by the query operation.

  #### Returns number

  Overrides FeatureSettings.maxAllowableOffset

- set maxAllowableOffset(value): void

- The default maximum allowable offset used for generalizing geometries returned by the query operation.

  #### Parameters

  - value: number

  #### Returns void

  Overrides FeatureSettings.maxAllowableOffset

### outFields

- get outFields(): string[]

- Fields that should be returned for each feature by default.

  #### Returns string[]

  Inherited from FeatureSettings.outFields

- set outFields(value): void

- #### Parameters

  - value: string[]

  #### Returns void

  Inherited from FeatureSettings.outFields

### outSpatialReference

- get outSpatialReference(): SpatialReference

- The default spatial reference for the returned geometry.

  #### Returns SpatialReference

  Overrides FeatureSettings.outSpatialReference

- set outSpatialReference(value): void

- The default spatial reference for the returned geometry.

  #### Parameters

  - value: SpatialReference

  #### Returns void

  Overrides FeatureSettings.outSpatialReference

### parent

- get parent(): this

- The parent settings that these settings will inherit from.

  #### Returns this

  Inherited from FeatureSettings.parent

- set parent(value): void

- #### Parameters

  - value: this

  #### Returns void

  Inherited from FeatureSettings.parent

### popupTemplate

- get popupTemplate(): PopupTemplate

- The template for displaying content in a pop-up when the feature is selected.

  #### Returns PopupTemplate

  Inherited from FeatureSettings.popupTemplate

- set popupTemplate(value): void

- #### Parameters

  - value: PopupTemplate

  #### Returns void

  Inherited from FeatureSettings.popupTemplate

### returnGeometry

- get returnGeometry(): boolean

- Whether geometry for features should be returned by default.

  #### Returns boolean

  Overrides FeatureSettings.returnGeometry

- set returnGeometry(value): void

- Whether geometry for features should be returned by default.

  #### Parameters

  - value: boolean

  #### Returns void

  Overrides FeatureSettings.returnGeometry

### showRelatedRecordsWhenUnconfigured

- get showRelatedRecordsWhenUnconfigured(): boolean

- Whether all related records should be shown, even if not found configured in the web map popup.

  #### Returns boolean

  Inherited from FeatureSettings.showRelatedRecordsWhenUnconfigured

- set showRelatedRecordsWhenUnconfigured(value): void

- #### Parameters

  - value: boolean

  #### Returns void

  Inherited from FeatureSettings.showRelatedRecordsWhenUnconfigured

### zoomFactor

- get zoomFactor(): number

- Specifies the desired extent to zoom to when zooming to a feature as a multiple of the feature's extent. The default is 1.5. Not applicable for features whose geometry is a point.

  #### Returns number

  Overrides FeatureSettings.zoomFactor

- set zoomFactor(value): void

- Specifies the desired extent to zoom to when zooming to a feature as a multiple of the feature's extent. The default is 1.5. Not applicable for features whose geometry is a point.

  #### Parameters

  - value: number

  #### Returns void

  Overrides FeatureSettings.zoomFactor

### zoomScale

- get zoomScale(): number

- The scale to zoom the map to when zooming to a feature. This will override zoomFactor if also set.

  #### Returns number

  Overrides FeatureSettings.zoomScale

- set zoomScale(value): void

- The scale to zoom the map to when zooming to a feature. This will override zoomFactor if also set.

  #### Parameters

  - value: number

  #### Returns void

  Overrides FeatureSettings.zoomScale

##
Methods

### `Protected`_createPopupContentCollection

- _createPopupContentCollection(): Collection<Content>

- Creates the backing collection for popup content.

  #### Returns Collection<Content>

  Inherited from FeatureSettings._createPopupContentCollection

### `Protected`_getCollectionSetting

- _getCollectionSetting<T>(setting): Collection<T>

- Gets the value for a setting that represents a collection.

  #### Type Parameters

  - T

  #### Parameters

  - setting: keyof TableFeatureSettings

    The setting name.

  #### Returns Collection<T>

  Inherited from FeatureSettings._getCollectionSetting

### `Protected`_getNestedSettings

- _getNestedSettings<T>(setting, factory): T

- Gets a property which is itself an instance of Settings.

  #### Type Parameters

  - T extends Settings<unknown>

  #### Parameters

  - setting: keyof TableFeatureSettings

    The setting name.

  - factory: (() => T)

    A factory for creating the nested settings.

    - - (): T

      - #### Returns T

  Inherited from FeatureSettings._getNestedSettings

### `Protected`_getSerializableProperties

- _getSerializableProperties(): PropertyDefs<FeatureSettingsProperties>

- The property keys and their metadata that are used to implement serializing and deserializing the class instance.

  #### Returns PropertyDefs<FeatureSettingsProperties>

  Inherited from FeatureSettings._getSerializableProperties

### `Protected`_getSetting

- _getSetting<K>(setting, defaultValue?): TableFeatureSettings[K]

- Gets the value for a setting.

  #### Type Parameters

  - K extends keyof TableFeatureSettings

  #### Parameters

  - setting: K

    The setting name.

  - `Optional` defaultValue: TableFeatureSettings[K]

    The default value if the setting is not explicitly set.

  #### Returns TableFeatureSettings[K]

  Inherited from FeatureSettings._getSetting

### `Protected`_hasSettingIncludingAncestor

- _hasSettingIncludingAncestor<K>(setting): boolean

- Determines whether the specified setting has been modified locally or by any parent of the current settings instance.

  #### Type Parameters

  - K extends keyof TableFeatureSettings

  #### Parameters

  - setting: K

    The setting to check.

  #### Returns boolean

  Inherited from FeatureSettings._hasSettingIncludingAncestor

### `Protected`_setParent

- _setParent(parent): void

- Sets the parent settings that these settings will inherit from.

  #### Parameters

  - parent: TableFeatureSettings

    The parent settings to inherit from.

  #### Returns void

  Inherited from FeatureSettings._setParent

### `Protected`_setSetting

- _setSetting<K>(setting, value): void

- Sets the value for a setting. This will override any inherited value for the setting.

  #### Type Parameters

  - K extends keyof TableFeatureSettings

  #### Parameters

  - setting: K

    The setting name.

  - value: TableFeatureSettings[K]

    The setting value.

  #### Returns void

  Inherited from FeatureSettings._setSetting

### `Protected`_toPropertyDef

- _toPropertyDef<T>(def): PropertyDef<T>

- Converts the value to a PropertyDef object.

  #### Type Parameters

  - T

  #### Parameters

  - def: PropertyDefSerializeMode | PropertyDefSerializeMode[] | PropertyDef<T>

    The value to convert.

  #### Returns PropertyDef<T>

  Inherited from FeatureSettings._toPropertyDef

### assignProperties

- assignProperties(properties): void

- #### Parameters

  - properties: Partial<unknown>

  #### Returns void

  #### Inherit Doc

  Inherited from FeatureSettings.assignProperties

### assignPropertiesAsync

- assignPropertiesAsync(properties): Promise<void>

- #### Parameters

  - properties: Partial<unknown>

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from FeatureSettings.assignPropertiesAsync

### destroy

- destroy(): void

- #### Returns void

  Inherited from FeatureSettings.destroy

### finishAssignProperties

- finishAssignProperties(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from FeatureSettings.finishAssignProperties

### getDefault

- getDefault<K>(key): unknown

- #### Type Parameters

  - K extends never

  #### Parameters

  - key: K

  #### Returns unknown

  #### Inherit Doc

  Inherited from FeatureSettings.getDefault

### getDefaults

- getDefaults(): FeatureSettingsProperties

- #### Returns FeatureSettingsProperties

  #### Inherit Doc

  Inherited from FeatureSettings.getDefaults

### getSerializableProperties

- getSerializableProperties(serializeMode?): PropertyDefs<unknown>

- Returns the serializable properties.

  #### Parameters

  - serializeMode: SerializeMode = "all"

    Optional. If specified, only properties that support the given serialization mode will be returned.

  #### Returns PropertyDefs<unknown>

  Inherited from FeatureSettings.getSerializableProperties

### isModified

- isModified(): boolean

- Determines whether the settings have been locally modified in any way.

  #### Returns boolean

  Inherited from FeatureSettings.isModified

- isModified(setting): boolean

- Determines whether the specified setting has been locally modified, and is thus overriding any inherited value.

  #### Parameters

  - setting: keyof TableFeatureSettings

    The setting to check.

  #### Returns boolean

  Inherited from FeatureSettings.isModified

### reset

- reset(): void

- Removes all local overrides, resetting all settings to their inherited values, if any.

  #### Returns void

  Inherited from FeatureSettings.reset

- reset(setting): void

- Removes a local override for a setting and resets it to its inherited value, if any.

  #### Parameters

  - setting: keyof TableFeatureSettings

    The setting to reset.

  #### Returns void

  Inherited from FeatureSettings.reset

### toJSON

- toJSON(serializeMode?): FeatureSettingsProperties

- #### Parameters

  - serializeMode: SerializeMode = "all"

  #### Returns FeatureSettingsProperties

  #### Inherit Doc

  Inherited from FeatureSettings.toJSON